Index: code/branches/ogre/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/ogre/src/orxonox/Orxonox.cc	(revision 1243)
+++ code/branches/ogre/src/orxonox/Orxonox.cc	(revision 1244)
@@ -37,10 +37,7 @@
 
 //****** STD *******
-//#include <iostream>
-//#include <exception>
 #include <deque>
 
 //****** OGRE ******
-//#include <OgreException.h>
 #include <OgreFrameListener.h>
 #include <OgreOverlay.h>
@@ -159,5 +156,5 @@
 
   /**
-   * create a new instance of Orxonox
+   * Create a new instance of Orxonox. Avoid doing any actual work here.
    */
   Orxonox::Orxonox()
@@ -177,5 +174,5 @@
 
   /**
-   * destruct Orxonox
+   * Destruct Orxonox.
    */
   Orxonox::~Orxonox()
@@ -208,5 +205,5 @@
 
   /**
-   * @return singleton object
+   * @return singleton reference
    */
   Orxonox* Orxonox::getSingleton()
@@ -248,4 +245,5 @@
       return false;
 
+    COUT(3) << "*** Orxonox: Mode is " << mode << "." << std::endl;
     if (mode == "client")
       mode_ = CLIENT;
@@ -260,5 +258,5 @@
 
     // for playable server, client and standalone, the startup
-    // procedure until the GUI is the identical
+    // procedure until the GUI is identical
 
     TclBind::getInstance().setDataPath(dataPath);
@@ -284,5 +282,5 @@
       return false;
 
-    // Calls the InputHandler which sets up the input devices.
+    // Calls the InputManager which sets up the input devices.
     // The render window width and height are used to set up the mouse movement.
     if (!InputManager::initialise(ogre_->getWindowHandle(),
@@ -290,6 +288,7 @@
       return false;
 
-    // TODO: Spread this so that this call onyl initialises things needed for the GUI
-    ogre_->initialiseResources();
+    // TODO: Spread this so that this call only initialises things needed for the GUI
+    if (!ogre_->initialiseResources())
+      return false;
 
     // TOOD: load the GUI here
@@ -298,5 +297,5 @@
     // TODO: run GUI here
 
-    // The following lines depend very much on the GUI, so they're probably misplaced here..
+    // The following lines depend very much on the GUI output, so they're probably misplaced here..
 
     InputManager::setInputState(InputManager::IS_NONE);
@@ -325,4 +324,8 @@
   }
 
+  /**
+   * Loads everything in the scene except for the actual objects.
+   * This includes HUD, Console..
+   */
   bool Orxonox::loadPlayground()
   {
@@ -338,4 +341,5 @@
 
     // Load the HUD
+    COUT(3) << "*** Orxonox: Loading HUD..." << std::endl;
     Ogre::Overlay* hudOverlay = Ogre::OverlayManager::getSingleton().getByName("Orxonox/HUD1.2");
     orxonoxHUD_ = new HUD();
@@ -344,4 +348,5 @@
     hudOverlay->show();
 
+    COUT(3) << "*** Orxonox: Loading Console..." << std::endl;
     InputBuffer* ib = dynamic_cast<InputBuffer*>(InputManager::getKeyHandler("buffer"));
     /*
@@ -365,7 +370,10 @@
   }
 
+  /**
+   * Level loading method for server mode.
+   */
   bool Orxonox::serverLoad()
   {
-    COUT(2) << "initialising server" << std::endl;
+    COUT(2) << "Loading level in server mode" << std::endl;
 
     server_g = new network::Server();
@@ -379,7 +387,10 @@
   }
 
+  /**
+   * Level loading method for client mode.
+   */
   bool Orxonox::clientLoad()
   {
-    COUT(2) << "initialising client" << std::endl;\
+    COUT(2) << "Loading level in client mode" << std::endl;\
 
     if (serverIp_.compare("") == 0)
@@ -394,7 +405,10 @@
   }
 
+  /**
+   * Level loading method for standalone mode.
+   */
   bool Orxonox::standaloneLoad()
   {
-    COUT(2) << "initialising standalone mode" << std::endl;
+    COUT(2) << "Loading level in standalone mode" << std::endl;
 
     if (!loadScene())
@@ -404,4 +418,7 @@
   }
 
+  /**
+   * Helper method to load a level.
+   */
   bool Orxonox::loadScene()
   {
@@ -447,4 +464,5 @@
     timer_->reset();
 
+    COUT(3) << "*** Orxonox: Starting the main loop." << std::endl;
 	  while (!bAbort_)
 	  {
@@ -534,6 +552,10 @@
   }
 
+  /**
+   * Static function that shows the console in game mode.
+   */
   void Orxonox::activateConsole()
   {
+    // currently, the console shows itself when feeded with input.
     InputManager::setInputState(InputManager::IS_CONSOLE);
   }
